#!/bin/sh

exec < /dev/null > /dev/null 2> /dev/null

privilegedGroup="sv_service sv_admin"
privilegedGroupIds=""

function getGroupId
{
	privilegedGroupIds=""
	for group in $privilegedGroup
	do
		if pw showgroup $group; then
			pw=$(pw showgroup $group) 
			groupId=$(echo $pw | awk -F: '{print $3}')
			privilegedGroupIds="${privilegedGroupIds}${groupId}, "
		fi
	done
	privilegedGroupIds=${privilegedGroupIds%, }
	echo $privilegedGroupIds
}

function setPrivilege
{
	if sysctl kern.privileged_group ; then
		sysctl kern.privileged_group="$1"
	fi
}

case $1 in
start)
	getGroupId
	setPrivilege "$privilegedGroupIds"
        ;;
stop)
	setPrivilege 
        ;;
*)
        echo "usage: $0 {start|stop}" >&2
        exit 64
        ;;
esac

